[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataSet.CreateBlobStream

Create blob stream

## Declaration

Source position: db.pas line 1583

`public function TDataSet.CreateBlobStream(`
`Field: TField;`
`Mode: TBlobStreamMode`
`):TStream; virtual;`

## Arguments

`Field` |  | BLOB Field for which data should be fetched/written
`Mode` |  | Mode: read or write

## Function result

Stream with (for) blob data

## Description

CreateBlobStream is not intended for use by applictaion programmers. It creates a stream object which can be used to read or write data from a blob field. Instead, application programmers should use the TBlobField.LoadFromStream and TBlobField.SaveToStream methods when reading and writing data from/to BLOB fields. Which operation must be performed on the stream is indicated in the Mode parameter, and the Field parameter contains the field whose data should be read. The caller is responsible for freeing the stream created by this function.

## See also

TBlobField.LoadFromStream |  | Load the field's contents from stream
TBlobField.SaveToStream |  | Save the field's contents to stream

Documentation generated on: Feb 26 2014